import { AxDateRange } from './ax-exp-date-range';
import { AxExpressionValue } from './ax-expression-value';
export declare class AxExpDateRangeValue extends AxExpressionValue {
    value: AxDateRange;
    constructor(axExpDateRangeValue?: AxExpDateRangeValue);
    /**
     * pass by default value
     */
    newAxExpDateRangeValue(): void;
    /**
     * Pass actual Text value
     *
     * @param axExpDateRangeValue
     */
    axExpDateRangeValue(axExpDateRangeValue?: AxExpDateRangeValue): void;
    searchable(): boolean;
}
